Package org.eclipse.birt.chart.computation

# Class ChartComputationFactory

java.lang.Object
org.eclipse.birt.chart.computation.ChartComputationFactory

All Implemented Interfaces:
  `IChartComputationFactory`

public class ChartComputationFactory extends Object implements IChartComputationFactory

## Constructor Summary

Constructors
Constructor
Description
`ChartComputationFactory()`

## Method Summary

Modifier and Type
Method
Description
`IChartComputation`
`createChartComputation()`
`IGObjectFactory`
`createGObjectFactory()`
`static void`
`initInstance(IChartComputationFactory tFactory)`
`static IChartComputationFactory`
`instance()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChartComputationFactory

public ChartComputationFactory()

## Method Details

### initInstance

public static void initInstance(IChartComputationFactory tFactory)

### instance

public static IChartComputationFactory instance()

### createGObjectFactory

public IGObjectFactory createGObjectFactory()

Specified by:
  `createGObjectFactory` in interface `IChartComputationFactory`

### createChartComputation

public IChartComputation createChartComputation()

Specified by:
  `createChartComputation` in interface `IChartComputationFactory`